Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Christopher_B_
Beginner
71 Views

Just Upgraded to Mac OSX 10.12.4, Can no longer update Parallel Studio XE

We're going through a tool update which includes the Intel Parallel Studio XE composer edition for C++ OS X.

I upgraded my OS from Mac OS X 10.10.5 to OSC 10.12.4. I installed XCode 8.2.1 (I also have Xcode 7.2.1 installed).

When I attempted to use the Intel Software Manager to upgrade my tools to 2016 Update 4, I got a very polite error message stating that I did not meet the system requirements, which was 10.10 or 10.11.

I'm fully licensed and currently have m_ccompxe_2016.3.068 installed. 

How do I get the latest tools installed on Mac OS X 10.12.4?

0 Kudos
6 Replies
Jennifer_D_Intel
Employee
71 Views

Hello,

Support for Mac OS X 10.12 was not added until version 2017 update 1 of the compiler.  Support for XCode 8.2.1 is available in 2017 update 2.  Are you able to upgrade to one of those versions?

Regards,

Jennifer

Christopher_B_
Beginner
71 Views

The Intel Software Manager is not giving me that option. It only gives me 2016 Update 4.

I should be able to be licensed for 2017 update 2. At least I think so. My current license expires 6/18/17, but I expect a corporate upgrade before then.

If I need to bypass the Intel Software Manager to get 2017.2, where do I get that?

(Edit add - The Intel Software manager version I have is 2.0.108)

Christopher_B_
Beginner
71 Views

Things have gotten horribly confused.

I had 2016.3 installed on my 10.10.5 system. After I upgraded to 10.12.4, the Intel software manager was only offering 2016.4. This morning the Intel Software manager just started reporting 2016.4 was installed (!) but it was not. (it's not in /opt/intel) Poor error handling it would seem on the aborted installation? So I ran the uninstaller found in /opt/intel. It cleaned things up. I then tried to run the 2016.3 installer again (I had a standalone installer from before). The installer launches fine, but of course it refused to install onto OS X 10.12.4. So I am currently in a state with no Intel compiler on Mac.

Since my license is good until 6/18/17, am I eligible for 2017.2? If so, where do I get it?

I'm blocked at the moment.

Christopher_B_
Beginner
71 Views

I've found m_ccompxe_2017.2.046.app and a valid license. It appears to have installed the Composer tools successfully.

We can close this thread, I think.

Jennifer_D_Intel
Employee
71 Views

Sounds like there's a bug with the Intel Software Manager.  I'll send you a link in a private message.

Jennifer_D_Intel
Employee
71 Views

Oh, nevermind then.  I found the license you were referring to, but as you weren't listed as a user you wouldn't have been able to get it directly from the registration center.  Glad you got it working!

Reply